﻿<div id="loom-dom">
    <div id="loom-looms" class="app-zone half-left">
        <div class="inner">
            <h3 class="app-zone-title">Your looms card</h3>
            <ul id="loom-list" class="list-simple font-small" data-bind="foreach: loomsFiltered">
                <li class="inline-block loom-card">
                    <ul class="loom-info app-center-list">
                        <li>
                            <div class="inline-block loom-image-background" data-bind="style: { 'background-image': 'url(' + '/Content/images/looms/loom' + Level() + '.png)' }">
                            </div>
                            <img class="loom-image" width="100" height="100" data-bind="attr: { src: '/Content/images/looms/' + boe.loom.loomTypesIcon[Type()] }"/>
                        </li>
                        <li><b class="inline-block" data-bind="text: boe.loom.loomTypesName[Type()]"></b></li>
                    </ul>
                    <div class="loom-actions">
                        <div class=inner>
                            <button class="app-button" data-bind="click: $parent.upgradeLoom, enable: Level() < 3 && $parent.loomPoints() > 0 && !$parent.working()">Upgrate</button>
                        </div>
                    </div>
                </li>
            </ul>
        </div>
    </div>
    <div id="loom-buy" class="app-zone half-right">
        <div class="inner">
            <h3 class="app-zone-title">Buy a new loom card</h3>
            <div class="padding-medium">
                <p class="font-medium">
                     You can buy here a new heirloom cards which will bring you access to loomed items in the shop. <br />
                     A heirloom card cost one loom point, you will be able to upgrade this card twice afterward.
                 </p>
                <div>
                    <select class="app-select" data-bind="options: loomTypesSelect, optionsText: 'name', optionsValue: 'type',
                                                            value: selectedLT, optionsCaption: 'Choose an heirloom type...',
                                                            select2: {
                                                                containerCssClass: 'app-selectcontainer loom-select-container', dropdownCssClass: 'app-dropdown',
                                                                formatResult: loomSelectFormat, formatSelection: loomSelectFormat,
                                                                dropdownAutoWidth: true
                                                            }"></select>
                    <div data-bind="if: selectedLoomType()" class="loomtype-description">
                        <p class="font-small">
                            This heirloom card will allow you to buy <span data-bind="text: selectedLoomType().description"></span> up to +1.
                        </p>
                    </div>
                </div>
                <div>
                    <button class="app-button" data-bind="click: buyLoom, enable: canBuyLoom()">Buy this heirloom card</button>
                </div>
            </div>
        </div>
    </div>
</div>